#
#     Copyright (C) 1999-2004  Liz Potterton, Peter Briggs
#
#     This code is distributed under the terms and conditions of the
#     CCP4 Program Suite Licence Agreement as a CCP4 Library.
#     A copy of the CCP4 licence can be obtained by writing to the
#     CCP4 Secretary, Daresbury Laboratory, Warrington WA4 4AD, UK.
#
#CCP4i_cvs_Id $Id: mapmask.com,v 1.5 2005/09/09 09:41:36 mdw Exp $
#CCP4I SCRIPT TEMPLATE mapmask
{ [IfSet $SPACE_GROUP ] } SYMMETRY $SPACE_GROUP

$IFXYZLIM xyzlim $XYZLIM_1 $XYZLIM_2 $XYZLIM_3 $XYZLIM_4 $XYZLIM_5 $XYZLIM_6
$IFASU XYZLIM ASU
{[IfSet $XYZLIM_MODE]} XYZLIM $XYZLIM_MODE

$IFBORDER BORDER $BORDER
{ ![StringSame $EXTEND_MODE DEFAULT] }  EXTEND $EXTEND_MODE

$IFPAD PAD $PADRHO
$IFAXIS AXIS $AXIS
IF $IFMASK
1 MASK
CASE $MASKMODE
CASEMATCH CUT
 - 1 CUT $MASKCUT
CASEMATCH FRAC
 - 1 FRAC $MASKFRAC
CASEMATCH VOLUME 
 - 1  VOLUME $MASKVOLUME
ENDCASE
ENDIF

$IFPRINT PRINT $MAPMASK_OBJECT $PRINT_AXIS
- { [ IfSet $PRINT_FIRST ] } $PRINT_FIRST
-- { [ IfSet $PRINT_LAST ] } $PRINT_LAST
--- { [ IfSet $PRINT_STEP ] } $PRINT_STEP

IF $IFSCALE
1 SCALE
CASE $SCALE_MODE
CASEMATCH FACTOR
 - 1 FACTOR $SCALE_FACTOR_1 $SCALE_FACTOR_2
CASEMATCH SIGMA
 - 1 SIGMA $SCALE_SIGMA_1 $SCALE_SIGMA_2
CASEMATCH MEAN
 - 1 MEAN $SCALE_MEAN_1 $SCALE_MEAN_2
CASEMATCH RATIO
 - 1 RATIO $SCALE_RATIO
ENDCASE
ENDIF

$IFSOLVENT_FLAT SOLV
- 1 FLIP $SOLVENT_FLIP_FACTOR
- 1 ATTN $SOLVENT_ATTN_FACTOR

IF $IFCOMBINE
1 MAPS $COMBINE_FUNCTION
ENDIF
