#
#     Copyright (C) 2007  Kevin Cowtan
#     Bucc_build_ref script template
#

# ----------------------------------------
# control commands
# ----------------------------------------

1		%loop-cyc	$NCYCLE
{$USEXYZIN==1}	%copy-pre	$XYZINwrk $filerefpdb
1		%copy-pre	$HKLINwrk $filerefmtz
1		%prgm-loop	buccaneer  cbuccaneer  %exit
1		%prgm-loop	refmac     refmac5     %exit
1		%copy-post	$filerefpdb $XYZOUT

# ----------------------------------------
# buccaneer commands
# ----------------------------------------

1		buccaneer	%arg	-stdin

1		buccaneer	title  $TITLE

1 		buccaneer	pdbin-ref $XYZINref 
1 		buccaneer	mtzin-ref $HKLINref 
1 		buccaneer	colin-ref-fo /*/*/\\\[$FPref,$SIGFPref\\\]
1 		buccaneer	colin-ref-hl /*/*/\\\[$HLAref,$HLBref,$HLCref,$HLDref\\\]

1 		buccaneer	seqin-wrk $SEQINwrk
1 		buccaneer	mtzin-wrk $filerefmtz
1 		buccaneer	colin-wrk-fo /*/*/\\\[$FPwrk,$SIGFPwrk\\\]
$USEFREE 	buccaneer	colin-wrk-free   /*/*/\\\[$FREEwrk\\\]

{$USEPHIW!=1}	buccaneer:0	colin-wrk-hl /*/*/\\\[$HLAwrk,$HLBwrk,$HLCwrk,$HLDwrk\\\]
{$USEPHIW==1}	buccaneer:0	colin-wrk-phifom /*/*/\\\[$PHIwrk,$FOMwrk\\\]
1		buccaneer:1-*	colin-wrk-phifom /*/*/\\\[PHCOMB,FOM\\\]

$USEXYZIN	buccaneer:0	pdbin-wrk $filerefpdb
1		buccaneer:1-*	pdbin-wrk $filerefpdb

$USEFMAP	buccaneer:0	colin-wrk-fc     /*/*/\\\[$FMAPwrk,$PMAPwrk\\\]

1		buccaneer	pdbout-wrk $filebucpdb

1		buccaneer	find
1		buccaneer	grow
1		buccaneer	join
1		buccaneer	link
1		buccaneer	sequence
1		buccaneer	correct
1		buccaneer	filter
1		buccaneer	ncsbuild
1		buccaneer	prune
1		buccaneer	rebuild

1		buccaneer:0	cycles $BUC_NCYCLE_0
$BUC_USECORR_0	buccaneer:0	correlation-mode
1		buccaneer:0	sequence-reliability $BUC_SEQREL_0

1		buccaneer:1-*	cycles $BUC_NCYCLE_N
$BUC_USECORR_N	buccaneer:1-*	correlation-mode
1		buccaneer:1-*	sequence-reliability $BUC_SEQREL_N

1		buccaneer	new-residue-name $BUC_NEWRESNM

1		buccaneer	resolution $BUC_RESOLN_MAX

# ----------------------------------------
# refmac commands
# ----------------------------------------

1		refmac		%arg	HKLIN $HKLINwrk
1		refmac		%arg	XYZIN $filebucpdb
1		refmac		%arg	HKLOUT $filerefmtz
1		refmac		%arg	XYZOUT $filerefpdb
1		refmac		title  $TITLE
1		refmac		weight MATRIX $REF_MATRIX
1		refmac		labin  -
{$USEPHIW != 1}	refmac		       HLA=$HLAwrk HLB=$HLBwrk HLC=$HLCwrk HLD=$HLDwrk -
{$USEPHIW == 1}	refmac		       PHIB=$PHIwrk FOM=$FOMwrk -
$USEFREE 	refmac		       FREE=$FREEwrk -
1               refmac		       FP=$FPwrk SIGFP=$SIGFPwrk
1		refmac		make check NONE
1               refmac          make newligand CONTINUE
1		refmac		make hydrogen YES hout NO peptide NO cispeptide YES ssbridge YES symmetry YES sugar YES connectivity NO link NO
1		refmac		refi type REST PHASE SCBL 1.0 BBLU 0.0 resi MLKF meth CGMAT bref ISOT
1		refmac		ncyc 10
1		refmac		scal type SIMP LSSC ANISO EXPE
1		refmac		solvent YES VDWProb 1.4 IONProb 0.8 RSHRink 0.8
1		refmac		monitor MEDIUM torsion 10.0 distance 10.0 angle 10.0 plane 10.0 chiral 10.0 bfactor 10.0 bsphere 10.0 rbond 10.0 ncsr 10.0
1		refmac		labout  FC=FC FWT=FWT PHIC=PHIC PHWT=PHWT DELFWT=DELFWT PHDELWT=PHDELWT FOM=FOM PHCOMB=PHCOMB
1		refmac		PNAME buccaneer
1		refmac		DNAME buccaneer
1		refmac		RSIZE 80
1		refmac		END
