{[IfSet $TITLE]} TITLE $TITLE
1 MODE EP_AUTO
1 HKLIN \\"$HKLIN\\"
$TOG_RESOLUTION RESOLUTION $RESOLUTION_DMAX $RESOLUTION_DMIN

{[StringSame $EP_MODE SAD] && $TOG_HAND_OPTION} HAND $HAND_ONOFF

{$TOG_LLGC_SAD && [StringSame $LLGC_COMPLETE_SAD "ON"] && ![StringSame $LLGC_NCYC ""]}  LLGCOMPLETE NCYC $LLGC_NCYC

{$TOG_LLGC_SAD && [IfSet $LLGC_COMPLETE_SAD]} LLGCOMPLETE CRYSTAL $HARVEST_PNAME COMPLETE $LLGC_COMPLETE_SAD
{$TOG_LLGC_SIGMA_SAD && [IfSet $LLGC_SIGMA_SAD]} LLGCOMPLETE CRYSTAL $HARVEST_PNAME SIGMA $LLGC_SIGMA_SAD
{$TOG_LLGC_CLASH_SAD && [StringSame $LLGC_CLASH_OPTION "DEFAULT"]} LLGCOMPLETE CRYSTAL $HARVEST_PNAME CLASH $LLGC_CLASH_OPTION
{$TOG_LLGC_CLASH_SAD && [StringSame $LLGC_CLASH_OPTION "DISTANCE"]} LLGCOMPLETE CRYSTAL $HARVEST_PNAME CLASH $LLGC_CLASH_OPTION $LLGC_CLASH_DISTANCE
LOOP J 1 $N_LLGC_ATOMTYPE_SAD
  1 LLGCOMPLETE CRYSTAL $HARVEST_PNAME SCATTERING ELEMENT $LLGC_ATOMTYPE_SAD($J)
ENDLOOP

{[StringSame $EP_MODE MRSAD]} PARTIAL PDB \\"$PARTPDB\\"
  - {[StringSame $PARTIAL_RMS_OPTION IDENT]} IDENT $PARTIAL_RMSID
  - {[StringSame $PARTIAL_RMS_OPTION RMS]} RMS $PARTIAL_RMSID

{$TOG_BFACTOR_SAD && [StringSame $BFACTOR_OPTION_SAD "WILSON"]} ATOM BFACTOR WILSON
{$TOG_BFACTOR_SAD && [StringSame $BFACTOR_OPTION_SAD "VALUE"]}  ATOM BFACTOR VALUE $BFACTOR_VALUE_SAD

IF {[StringSame $EP_MODE SAD]}
{[StringSame $HA_SITES_OPTION_SAD SOL]} @$HA_FILE_SOL_SAD
{[StringSame $HA_SITES_OPTION_SAD PDB]} ATOM CRYSTAL $HARVEST_PNAME PDB \\"$HA_FILE_PDB_SAD\\"
{[StringSame $HA_SITES_OPTION_SAD HA ]} ATOM CRYSTAL $HARVEST_PNAME HA \\"$HA_FILE_HA_SAD\\"
IF {[StringSame $HA_SITES_OPTION_SAD MANUAL]}
  LOOP A 1 $N_HA_SAD
    1 ATOM CRYSTAL $HARVEST_PNAME ELEMENT $HA_ATOM_TYPE_SAD($A)
    - 1 $HA_ATOM_FRAC_SAD($A) $HA_ATOM_X_SAD($A) $HA_ATOM_Y_SAD($A) $HA_ATOM_Z_SAD($A)
    - 1 OCC $HA_ATOM_O_SAD($A) ISOB $HA_ATOM_B_SAD($A)
  ENDLOOP
ENDIF
ENDIF

IF {[StringSame $EP_MODE MRSAD]}
{[StringSame $HA_SITES_OPTION_PART SOL]} @$HA_FILE_SOL_PART
{[StringSame $HA_SITES_OPTION_PART PDB]} ATOM CRYSTAL $HARVEST_PNAME PDB \\"$HA_FILE_PDB_PART\\"
{[StringSame $HA_SITES_OPTION_PART HA ]} ATOM CRYSTAL $HARVEST_PNAME HA $\\"HA_FILE_HA_PART\\"
IF {[StringSame $HA_SITES_OPTION_PART MANUAL]}
  LOOP A 1 $N_HA_PART
    1 ATOM CRYSTAL $HARVEST_PNAME ELEMENT $HA_ATOM_TYPE_PART($A)
    - 1 $HA_ATOM_FRAC_PART($A) $HA_ATOM_X_PART($A) $HA_ATOM_Y_PART($A) $HA_ATOM_Z_PART($A)
    - 1 OCC $HA_ATOM_O_PART($A) ISOB $HA_ATOM_B_PART($A)
  ENDLOOP
ENDIF
ENDIF

1 CRYSTAL $HARVEST_PNAME DATASET $HARVEST_DNAME 
- {[StringSame $ANOM_OPTION_SAD FANOM ]} LABIN F+ = $Fp_SAD SIGF+ = $SIGFp_SAD F- = $Fm_SAD SIGF- = $SIGFm_SAD

IF {![StringSame $SCAT_OPTION_SAD ATOMTYPE]}
  1 CRYSTAL $HARVEST_PNAME DATASET $HARVEST_DNAME 
  - {[StringSame $SCAT_OPTION_SAD CUKA ]} SCATTERING CUKA
  - {[StringSame $SCAT_OPTION_SAD LAMBDA ]} SCATTERING WAVELENGTH  $SCAT_LAMBDA_SAD
  - {[StringSame $SCAT_OPTION_SAD MEASURED ]} SCATTERING MEASURED FP = $SCAT_FP_SAD FDP = $SCAT_FDP_SAD
ELSE
  LOOP J 1 $N_SCAT_ATOMTYPE_SAD
    1 CRYSTAL $HARVEST_PNAME DATASET $HARVEST_DNAME 
    - 1 SCATTERING ELEMENT $SCAT_ATOMTYPE_SAD($J) FP = $SCAT_ATOMTYPE_FP_SAD($J) FDP = $SCAT_ATOMTYPE_FDP_SAD($J)
  ENDLOOP
ENDIF

IF {$TOG_FIX_FDP_SAD}
   1 CRYSTAL $HARVEST_PNAME DATASET $HARVEST_DNAME 
   - {$TOG_FIX_FDP_SAD} FIXDP  
ENDIF

IF {$TOG_MACSAD && [StringSame $EP_MODE SAD] && [StringSame $MACSAD_OPTION ENTERED]}
  LOOP N 1 $N_MACSAD
    1 MACSAD 
    - $TOG_MACSAD_K($N) K ON | K OFF
    - $TOG_MACSAD_B($N) B ON | B OFF
    - $TOG_MACSAD_SIGMA($N) SIGMA ON | SIGMA OFF
    - $TOG_MACSAD_XYZ($N) XYZ ON | XYZ OFF
    - $TOG_MACSAD_OCC($N) OCC ON | OCC OFF
    - $TOG_MACSAD_BFAC($N) BFAC ON | BFAC OFF
    - $TOG_MACSAD_FDP($N) FDP ON | FDP OFF
    - $TOG_MACSAD_SA($N) SA ON | SA OFF
    - $TOG_MACSAD_SB($N) SB ON | SB OFF
    - $TOG_MACSAD_SP($N) SP ON | SP OFF
    - $TOG_MACSAD_SD($N) SD ON | SD OFF
    - {[IfSet $MACSAD_NCYCL($N)]} NCYCLE $MACSAD_NCYCL($N)
  ENDLOOP
ENDIF
IF {$TOG_MACSAD && [StringSame $EP_MODE SAD] && [StringSame $MACSAD_OPTION PHASING]}
    1 MACSAD OFF
ENDIF

IF {$TOG_MACS_PART && [StringSame $EP_MODE MRSAD] && [StringSame $MACS_PART_OPTION ENTERED]}
  LOOP N 1 $N_MACS_PART
    1 MACSAD 
    - $TOG_MACS_PART_K($N) K ON | K OFF
    - $TOG_MACS_PART_B($N) B ON | B OFF
    - $TOG_MACS_PART_SIGMA($N) SIGMA ON | SIGMA OFF
    - $TOG_MACS_PART_XYZ($N) XYZ ON | XYZ OFF
    - $TOG_MACS_PART_OCC($N) OCC ON | OCC OFF
    - $TOG_MACS_PART_BFAC($N) BFAC ON | BFAC OFF
    - $TOG_MACS_PART_FDP($N) FDP ON | FDP OFF
    - $TOG_MACS_PART_SA($N) SA ON | SA OFF
    - $TOG_MACS_PART_SB($N) SB ON | SB OFF
    - $TOG_MACS_PART_SP($N) SP ON | SP OFF
    - $TOG_MACS_PART_SD($N) SD ON | SD OFF
    - $TOG_MACS_PART_PK($N) PK ON | PK OFF
    - $TOG_MACS_PART_PB($N) PB ON | PB OFF
    - {[IfSet $MACS_PART_NCYCL($N)]} NCYCLE $MACS_PART_NCYCL($N)
  ENDLOOP
ENDIF
IF {$TOG_MACS_PART && [StringSame $EP_MODE MRSAD] && [StringSame $MACS_PART_OPTION PHASING]}
    1 MACSAD OFF
ENDIF

{$TOG_ANISO && [StringSame $ANISO_ONOFF OFF]} MACANO OFF
{$TOG_XYZOUT} XYZOUT $XYZOUT_ONOFF
{$TOG_HKLOUT} HKLOUT $HKLOUT_ONOFF
{$TOG_SCRIPT} SCRIPT $SCRIPT_ONOFF
IF {$TOG_WILSON} 
{ [StringSame $WILSON_OPTION OFF ] } BFACTOR WILSON OFF
{ [StringSame $WILSON_OPTION ON ] && [IfSet $WILSON_SIGMA] } BFACTOR WILSON ON SIGMA $WILSON_SIGMA
{ [StringSame $WILSON_OPTION ON ] && ![IfSet $WILSON_SIGMA] } BFACTOR WILSON ON
ENDIF
IF {$TOG_SPHERICITY} 
{ [StringSame $SPHERICITY_OPTION OFF ] } BFACTOR SPHERICITY OFF
{ [StringSame $SPHERICITY_OPTION ON ] && [IfSet $SPHERICITY_SIGMA] } BFACTOR SPHERICITY ON SIGMA $SPHERICITY_SIGMA
{ [StringSame $SPHERICITY_OPTION ON ] && ![IfSet $SPHERICITY_SIGMA] } BFACTOR SPHERICITY ON
ENDIF
IF {$TOG_OUTLIER} 
{ [StringSame $OUTLIER_OPTION OFF ] } OUTLIER OFF
{ [StringSame $OUTLIER_OPTION ON ] && [IfSet $OUTLIER_PROB] } OUTLIER ON $OUTLIER_PROB
{ [StringSame $OUTLIER_OPTION ON ] && ![IfSet $OUTLIER_PROB] } OUTLIER ON
ENDIF
{$TOG_VERBOSE && $TOG_VERBOSE_EXTRA} VERBOSE ON EXTRA
{$TOG_VERBOSE && !$TOG_VERBOSE_EXTRA} VERBOSE

IF {[StringSame $SCATTERING SOLVENT] }
1 COMPOSITION SOLVENT $SCATTERING_SOLVENT 
ENDIF

IF {[StringSame $SCATTERING NRES] }
1 COMPOSITION PROTEIN NRES $SCATTERING_NRES 
ENDIF

IF {[StringSame $SCATTERING COMPONENT] }
LOOP C 1 $N_COMPONENT
{[StringSame $COMP_OPTION($C) MW ]}    COMPOSITION $PROTDNA($C) MW $MW($C) NUMBER $ASYM($C)
{[StringSame $COMP_OPTION($C) FASTA ]} COMPOSITION $PROTDNA($C) SEQ \\"$COMP_FILE($C)\\" NUMBER $ASYM($C)
ENDLOOP
ENDIF
  
1 ROOT \\"$OUTPUT_FILE_ROOT\\"
